Groovy Documentation

## grails.test
[Groovy] Class ThreadLocalMap

    java.lang.Object
      java.lang.ThreadLocal
          grails.test.ThreadLocalMap

    class ThreadLocalMap
    extends java.lang.ThreadLocal

Custom ThreadLocal that stores a weak hash map. This is the map that we use to associate command objects/domain instances with their corresponding errors objects.

Method Summary
`protected java.lang.Object` | `initialValue()`

Methods inherited from class java.lang.ThreadLocal

java.lang.ThreadLocal#get(), java.lang.ThreadLocal#remove(), java.lang.ThreadLocal#set(java.lang.Object), java.lang.ThreadLocal#wait(), java.lang.ThreadLocal#wait(long), java.lang.ThreadLocal#wait(long, int), java.lang.ThreadLocal#equals(java.lang.Object), java.lang.ThreadLocal#toString(), java.lang.ThreadLocal#hashCode(), java.lang.ThreadLocal#getClass(), java.lang.ThreadLocal#notify(), java.lang.ThreadLocal#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### initialValue

    protected java.lang.Object initialValue()

Groovy Documentation